Subject: [Isis-wg] More Last Call Changes

From: "Parker, Jeff" <[email-masked]>
Date: Thu, 16 Jun 2005 14:59:42 -0400

We have had a few comments since my last post.

Here are the changes from prior edit.
    1) Combine the various flavors of L1, L2, L1L2 into one type
        and change some terms, as per requests.
    2) Changed Integer32 to Unsigned32 throughout
    3) Changed Syntax of *UpTime to TimeStamp
    4) Attempted to clarify interaction between circuit level
        and system level.  The operator is able to set circuit
        to level L1L2 while system is at L1, to prepare for
        a move to L1L2.
    5) Remove reference to RFC 2863 in AdminState
    6) Added text to try to clarify interaction between
        isisSysLevelSetOverload and isisSysLevelSetOverloadUntil
        per request
    7) Add RFC numbers to MIB names

Actions on the remaining issues
     
    A) Wide counters (see previous mail)
        I have not heard a request for 64 bit counters.
        The only counters that are in danger of wrapping
        are the packet counters, and those are an aid to
        debugging rather than a management tool.

        No change

    B) Counter behavior around discontinuity.
        I don't see this as an issue

        No change

    C) Text for isisCircIfSubSelector.
        I have modified the description

    D) Do we need to turn off notifications?
        I have added a field isisSysNotificationEnable
        and added a reference when defining the notifications

I believe this represents the remaining issues.  I will wait for at least 24
hours and then resubmit a draft.

I'd be happy to send a copy of the MIB or the draft off-line to anyone
Interested in the interim.

- jeff parker

Diffs for C & D since last set of diffs.

458a459,469
>     isisSysNotificationEnable OBJECT-TYPE
>         SYNTAX TruthValue
>         MAX-ACCESS read-write
>         STATUS current
>         DESCRIPTION
>             "If this object is set to true(1), then it enables
>              the emission of IS-IS Notifications.  If it is
>              set to false(2), these notifications are not sent."
>         DEFVAL { true }
>     ::= { isisSysObject 13 }
> 
1162c1173,1176
<              This object cannot be modified after creation.
---
>              If an implementation uses a single ifIndex for distinct
>              IS-IS circuits, the isisCircIfSubSelector may be used
>              to distinguish them.  This object cannot be modified after
>              creation.
3270a3285,3287
> --
> -- Note that notifications can be disabled by setting
> --     isisSysNotificationEnable false
4053a4071
>             isisSysNotificationEnable,

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg